Subject: [Isis-wg] Query regarding Forwarding Adjacency (ISIS-TE)

From: Avinash Natarajan <[email-masked]>
Date: Fri, 22 May 2009 22:58:26 -0700

Hi
    I have a query regarding Forwarding adjacency behavior with ISIS.
    I have 3 routers as specified below:

A <------>B----C

   A to B and B to A form Bidirectional TE tunnels Tu1 and Tu2 established using RSVP-TE/ISIS-TE.
   If I enable 'forwarding-adjacency' on Tu1 and Tu2, A would be added as B's Extended IS Neighbor and B as A's Extended IS neighbor (even if there is a router X, part of the tunnel path between A and B). That part is understood. My query is, additionally, would A install Tu1 in it's routing table, and B install Tu2 in it's routing table with the tunnel's IGP metric? (akin to installing them with autoroute metric if autoroute were enabled on the tunnels..in my use case autoroute is not enabled).

    Thanks.

Regards
Avinash